<div class="container">
  <div class="row">
    <div class="col-sm-8 col-sm-offset-2" *ngIf="user">
      <h2> Profile</h2>
      <img src="api/users/{{user.id}}/photo" alt="My photo" width="200" height="200" class="photo photo-center" />

      <div class="form-group">
        <label for="name">Name</label>
        <input type="text"
               id="name"
               class="form-control"
               [(ngModel)]="user.firstName">
      </div>
      <div class="form-group">
        <label for="lastName">Last Name</label>
        <input type="text"
               id="lastName"
               class="form-control"
               [(ngModel)]="user.lastName">
      </div>
      <div class="form-group">
        <label for="email">email</label>
        <input type="text"
               id="email"
               class="form-control"
               [(ngModel)]="user.email">
      </div>
      <div>
        <h4>Biographie</h4>
        <textarea rows="5" cols="30" pInputTextarea autoResize="autoResize" [(ngModel)]="user.description"></textarea>
      </div>

      <form>
        <div class="form-group">
          <label for="GouvernmentID">Gouvernment ID</label>
          <input type="file" class="form-control-file" id="GouvernmentID">
        </div>
      </form>

      <div *ngIf="user.type === userType.tutor">
        <h4 class="Subjects">Subjects</h4>
        <div class="row" *ngFor="let subject of subjects">
          <div class="col">
            <p-checkbox name="subject" value="{{subject.id}}" label="{{subject.name}}"
                        [(ngModel)]="selectedSubjects"></p-checkbox>
          </div>

          <div class="col">
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <span class="input-group-text">CH</span>
              </div>
              <input type="number" min="0" class="form-control" aria-label="Price"
                     [(ngModel)]="pricesSelected[subject.id]">
              <div class="input-group-append">
                <span class="input-group-text">Hour</span>
              </div>
            </div>
          </div>

          <div class="col">
            <p-multiSelect [options]="qualification" [(ngModel)]="qualificationSelected[subject.id]"
                           (onChange)="qualificationsChanged()">
            </p-multiSelect>
          </div>
        </div>

        <p>
          Selected subjects: <span *ngFor="let s of selectedSubjects" style="margin-right:10px">{{s}}</span>
        </p>
      </div>

      <button class="btn btn-primary"
              type="submit"
              (click)="onSubmit()"
      >Validate
      </button>
    </div>
  </div>
</div>
